%define moz_ext_dir %{_datadir}/mozilla/extensions

%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define src_ext_id \{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d\}
%define inst_dir %{moz_ext_dir}/%{firefox_app_id}/%{src_ext_id}

%define seamonkey_app_id \{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a\}
%define seamonkey_inst_dir %{moz_ext_dir}/%{seamonkey_app_id}/%{src_ext_id}

%define thunderbird_app_id \{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define thunderbird_inst_dir %{moz_ext_dir}/%{thunderbird_app_id}/%{src_ext_id}

# Do not build a debug package, we have nothing to strip
%define debug_package %{nil}

Name:			mozilla-adblockplus
Version:		2.6.10
Release:		2%{?dist}
Summary:		Adblocking extension for Mozilla Firefox, Thunderbird, and SeaMonkey

Group:			Applications/Internet
License:		GPLv3
URL:			https://adblockplus.org/
Source0:		https://adblockplus.org/downloads/adblockplus-%{version}-source.tgz
Source1:		mozilla-adblockplus.metainfo.xml
Patch0:			mozilla-adblockplus-2.2.2-buildNum.patch
Patch1:			disable-safeads.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:		noarch

%if 0%{?rhel} == 6
BuildRequires:	zip, python, sed, python-jinja2-26
%else
BuildRequires:	zip, python, sed, python-jinja2
%endif
%if 0%{?fedora} >= 21
BuildRequires:	libappstream-glib
%endif
Requires:		mozilla-filesystem

%global filename %{name}-%{version}-%{release}.xpi

%description
Adblock Plus is a content-filtering extension for the Mozilla Firefox- and
Mozilla Application Suite-based web browsers. Adblock Plus allows users to
prevent page elements, such as advertisements, from being downloaded and
displayed.
It features improvements to the user interface, filter subscriptions, and
element hiding over the original Adblock extension.


%prep
%setup -q -c mozilla-adblockplus-%{version}
%patch0 -p 1

%if 0%{?rhel}
%patch1 -p 1
%endif

%build
mkdir -p _build

%if 0%{?rhel} == 6
PYTHONPATH=/usr/lib/python2.6/site-packages/Jinja2-2.6-py2.6.egg \
    python build.py build --release -b %{release} _build/%{filename}
%else
python build.py build --release -b %{release} _build/%{filename}
%endif


%install
rm -rf %{buildroot}
cd _build
unzip -d %{name} %{filename}
cd %{name}
install -dm 755 %{buildroot}%{inst_dir}


	for f in `find . -print | sed -e '/\.\/$/d'` ; do
		if [ -d ${f} ] ; then
			install -dm 755 %{buildroot}%{inst_dir}/${f}
		else
			install -pm 644 ${f} \
				%{buildroot}%{inst_dir}/${f}
		fi
	done



# symlink seamonkey extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{seamonkey_app_id}
ln -s %{inst_dir} %{buildroot}%{seamonkey_inst_dir}

# symlink thunderbird extension to firefox extension
mkdir -p %{buildroot}%{moz_ext_dir}/%{thunderbird_app_id}
ln -s %{inst_dir} %{buildroot}%{thunderbird_inst_dir}

# if Fedora >= 21
# install MetaInfo file for firefox
%if 0%{?fedora} >= 21
	DESTDIR=%{buildroot} appstream-util install %{SOURCE1}
%endif

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{inst_dir}
%{seamonkey_inst_dir}
%{thunderbird_inst_dir}

# GNOME Software Center metadata
%if 0%{?fedora} >= 21
	%{_datadir}/appdata/*.metainfo.xml
%endif

%changelog
* Sat Sep 05 2015 Russell Golden <niveusluna@niveusluna.org> - 2.6.10-1
- lots of fixes

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 10 2014 Russell Golden <niveusluna@niveusluna.org> - 2.6.6-1
- spec file is again universal. Mr. Hughes apparently didn't notice that it was to begin with.
-2.6.5:
--Fixed: Element hiding exceptions are broken by changes in Firefox 34 and Firefox 35 (issue 1241, issue 1381).
--Fixed: Blocking via context menu won’t always suggest blocking the most recent request (issue 362).
--Fixed: Issue reporter will complain about too many filter lists even when these filter lists are “special”
---like the anti-adblock list (issue 690).
--Fixed: Disabling filters via space bar no longer works in preferences (issue 1129).
--Fixed: Sharing Adblock Plus from the first-run page won’t work if the Anti-Social list is enabled (issue 1133).
--Fixed: Anti-Adblock warning will sometimes appear on websites without any anti-adblock behavior (issue 1161).
--Made $sitekey option behavior more consistent, it can be used similarly to $domain now rather than whitelisting
---complete websites only (issue 432).
-
-2.6.6:
--Now works on Firefox nightly builds

* Tue Aug 19 2014 Richard Hughes <richard@hughsie.com> - 2.6.4-3
- Add a MetaInfo file for GNOME Software and Apper.

* Mon Aug 04 2014 Russell Golden <niveusluna@niveusluna.org> - 2.6.4-2
- Fix it not building for Fedora for some reason.

* Sun Aug 03 2014 Russell Golden <niveusluna@niveusluna.org> - 2.6.4-1
- Made sure that data is always written to disk immediately whenever filter hit counts are reset (issue 430).
- Fixed: Moving filters with Ctrl-Up/Down doesn’t work in Firefox 30 and above (issue 716).
- Fixed: Find functionality in the preferences doesn’t indicate that the search pattern wasn’t found (issue 455).
- Fixed: User isn’t informed about anti-adblock warnings on websites producing them (issue 764).
- Fixed: Blockable items aren’t refreshed on tab change in SeaMonkey (issue 290).
- Fixed: “Disable on this page only” doesn’t work correctly if the address ends with # (issue 580).

* Mon Jul 07 2014 Russell Golden <niveusluna@niveusluna.org> - 2.6.3-1
- Many performance improvements
- Update spec file for EPEL 7

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 04 2014 Russell Golden <niveusluna@niveusluna.org> - 2.4.1-1
- This release introduces support for the Australis theme that will be introduced in future Firefox versions.
- Default icon location is the navigation toolbar again (add-on bar is going away).
- Fixed image preview in the list of blockable items (forum topic).
- Fixed keyboard shortcut on Mac OS X (Control key was used instead of Command).
- Fixed: Changes to Adblock Plus options didn’t always persist.


* Sat Oct 19 2013 Russell Golden <niveusluna@niveusluna.org> - 2.4-1
- Improves start page once again
- Fixed: Adblock Plus icon wasn’t showing up on browser startup for some users.
- Fixed: Redirect blocking wasn’t working in current Firefox versions.
- Fixed: Issue reporter fails to process some console errors.
- Fixed: Adblock Plus fails to start up when updating in current Firefox nightly builds (workaround for bug 924340).


* Thu Aug 01 2013 Russell Golden <niveusluna@niveusluna.org> - 2.3.2-3
- Give up on just using the XPI itself. It doesn't seem to load.

* Thu Aug 01 2013 Russell Golden <niveusluna@niveusluna.org> - 2.3.2-2
- Fix conflict with Firefox RPM. Forgot to remove the directory ownership
  in files section.
- Correct capitalization in description.

* Wed Jul 31 2013 Russell Golden <niveusluna@niveusluna.org> - 2.3.2-1
- Update to upstream 2.3.2. This includes:
-- Removal of the site-autocorrect feature.
-- Addition of an emergency notification feature for big problems with ABP.
- To make future packaging easier, install the XPI itself.
-- It's not like the upstream version unpacks itself, either.

* Thu May 09 2013 Russell Golden <niveusluna@niveusluna.org - 2.2.4-1
- Fixed: Server names with a trailing dot were mistakenly treated as typos.
- Fixed a Firefox 22 compatibility issue (no colors/imaages in filters list and list of blockable items).

* Thu Feb 14 2013 Russell Golden <niveusluna@niveusluna.org> - 2.2.3-1
- (Does not apply to Linux) Worked around AVG Security Toolbar
	14.0.3.* breaking Adblock Plus among other things. 
- Made sure that first-run page always opens is the current browser
	window (bug 819561).

* Sat Feb 02 2013 Russell Golden <niveusluna@niveusluna.org> - 2.2.2-1
- Worked around regression in Firefox 18 causing entries on the 
  blockable items list to disappear and preventing context menu 
  from working reliably.
- Issue reporter now encourages users to enter an email address when
  submitting issue reports.
- Fixed various compatibility problems with future Firefox releases.

* Wed Dec 19 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2.1-3
- Fix typo in the license section

* Wed Dec 19 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2.1-2
- Fix incorrect license information

* Fri Nov 23 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2.1-1
- Update to upstream 2.2.1, which fixes a major bug in Firefox
  versions 9-13.

* Wed Nov 21 2012 Russell Golden <niveusluna@niveusluna.org> - 2.2-1
- Update to upstream 2.2
- Take note of the auto-correct feature for URLs.
- Re-enable safe ads for Fedora 18 and rawhide.

* Sat Jul 07 2012 Russell Golden <niveusluna@niveusluna.org> - 2.1.1-1
- update to upstream 2.1.1

* Mon Jul 02 2012 Russell Golden <niveusluna@niveusluna.org> - 2.1-2
- update to upstream 2.1
- add changelog

* Fri Jan 20 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-3
- build release build, not debug build

* Thu Jan 05 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-2
- Disable the "safe ads" feature by default

* Thu Jan 05 2012 Russell Golden <niveusluna@niveusluna.org> - 2.0.3-1
- Update to upstream 2.0.3 release

* Tue Nov 15 2011 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-3
- Rebuild with buildroot override for firefox 8

* Sun Oct 30 2011 Russell Golden <niveusluna@niveusluna.org> - 1.3.10-2
- Include support for Thunderbird and SeaMonkey

* Wed Oct 05 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.10-1
- Update to 1.3.9 for FF7

* Thu Aug 18 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.9-1
- Update to 1.3.9 for FF6

* Fri Jun 03 2011 Andreas Thienemann <andreas@bawue.net> - 1.3.8-1
- Updated to 1.3.8 upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 19 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.3-1
- Update to 1.1.3 (#569137).

* Thu Aug 27 2009 Andreas Thienemann <andreas@bawue.net> - 1.1.1-1
- Updated to 1.1.1 upstream release

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.1-1
- Updated to 1.1 upstream release

* Wed Apr 29 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.2-1
- Updated to 1.0.2 upstream release

* Tue Apr 07 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.1-1
- Initial package
